> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate Shipment

> Translates a shipment into a lightweight response containing vendor SKU mappings and contracted pricing per item. See the <a href="/developer-guides/dropship">Dropship Developer Guide</a> for field details and behavior.



## OpenAPI

````yaml /openapi/openapi_dropship.json get /commerce/dropship/translate/{shipmentNumber}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo DropShip Service
  title: DropShip
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/dropship/translate/{shipmentNumber}:
    get:
      tags:
        - DropShip
      summary: Translate Shipment
      description: >-
        Translates a shipment into a lightweight response containing vendor SKU
        mappings and contracted pricing per item. See the <a
        href="/developer-guides/dropship">Dropship Developer Guide</a> for field
        details and behavior.
      parameters:
        - description: The shipment number to translate
          in: path
          name: shipmentNumber
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranslatedShipment'
            text/json:
              schema:
                $ref: '#/components/schemas/TranslatedShipment'
            text/plain:
              schema:
                $ref: '#/components/schemas/TranslatedShipment'
          description: OK
components:
  schemas:
    TranslatedShipment:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TranslatedShipmentItem'
          nullable: true
          type: array
        orderId:
          nullable: true
          type: string
        shipmentNumber:
          format: int32
          type: integer
        shippingAddress:
          $ref: '#/components/schemas/DropShipShippingAddress'
        subtotal:
          format: double
          type: number
        vendorCode:
          nullable: true
          type: string
      type: object
    TranslatedShipmentItem:
      properties:
        imageUrl:
          nullable: true
          type: string
        lineId:
          format: int32
          type: integer
        name:
          nullable: true
          type: string
        originalOrderItemId:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
        sku:
          nullable: true
          type: string
        subtotal:
          format: double
          nullable: true
          type: number
        unitPrice:
          format: double
          type: number
        variationProductCode:
          nullable: true
          type: string
        vendorContractedPrice:
          format: double
          nullable: true
          type: number
        vendorSku:
          nullable: true
          type: string
      type: object
    DropShipShippingAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        companyOrOrganization:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        lastNameOrSurname:
          nullable: true
          type: string
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````